Subject: Re: Do I have to mount ClearCase's view ?
From: [email-masked] (Alexei Karpov)

21 Oct 1998 07:22:53 -0700
Message-ID: <[email-masked]>
References: <M1810067.001.4p710.1.981020135212Z.CC-MAIL*/OU=XSFCC/OU=ZWGBA/PRMD=MOT/ADMD=MOT/C=US/@MHS>
Mime-Version: 1.0
Content-Type: text/html; charset=koi8-r
Content-Transfer-Encoding: 7bit
To: Guillaume Barthelemy-G1504C <[email-masked]>,
        [email-masked]

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
Hi,
<P>&nbsp;&nbsp;&nbsp; I use full file's name but in my GNUmakefile I
<BR>use var. which contains full path to dir containing
<BR>source file. When I use dos-natation ( f.e. Y:\aaa )
<BR>cd command has worked but line contains $(var. )
<BR>has not passed. When I use //Y/aaa line contains $(var. )
<BR>has passed but cd command has not worked properly.
<BR>What's happend I do not know ? I am making an attempt
<BR>to clear it.
<P>&nbsp;&nbsp;&nbsp; Regards,
<BR>&nbsp;
<P>Guillaume Barthelemy-G1504C wrote:
<BLOCKQUOTE TYPE=CITE>> -----Original Message-----
<BR>> Hi,
<BR>>&nbsp;&nbsp;&nbsp;&nbsp; I have problem when I use clearcase's view.
<BR>> There are a lot of sources under ClearCase and I must
<BR>> create loadable image using make utility. I have my
<BR>> view and work with it as with disk. I implement next string :
<BR>>
<BR>>&nbsp;&nbsp;&nbsp;&nbsp; A := //Y/aaaa/bbbbb
<BR>>
<BR>> where //Y - my view mapped to disk Y:.
<BR>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; /aaaa/bbbbb - dir. in the view.
<BR>>
<BR>> When I used this var. in my makefile make did not
<BR>> do cd command. I replaced A to Y:/aaaa/bbbbb last
<BR>> error has disappeared but next command have not
<BR>> worked :
<BR>>
<BR>>&nbsp;&nbsp;&nbsp;&nbsp; include $(A)/sss/ddd
<BR>>
<BR>> I do not know why it takes place. May be I have to mount
<BR>> this view( disk ) using mount command ? May be anybody
<BR>> had similar situation ?
<BR>>
<BR>>&nbsp;&nbsp;&nbsp;&nbsp; Regards,
<BR>>
<BR>> --
<BR>> Alexei Karpov
<BR>> SONY Platform Software Development Center - Belgium ( PSDC- B )
<BR>> Sint Stevens Woluwestraat 55 ( Rue de Woluwe-Saint-Etienne )
<BR>> 1130 Brussel ( Bruxelles ), Belgium, Europe, Earth
<BR>> Tel.&nbsp; : +32 2 724.86.50
<BR>> Fax&nbsp;&nbsp; : +32 2 726.26.86
<BR>> E-mail: [email-masked]
<P>Hi,
<BR>I also use Clearcase from a bash shell and do not need to mount the
view drive
<BR>using the mount command because the makefile only refer to elements
with
<BR>relative paths... for example :
<P>INCS=-i ../../aaaa/bbbb/include -i ./include
<P>The same for the compilers, linker, etc ...
<P>I haven't tried to mount the view drive to be honest. But the reason
why I work
<BR>with relative paths only in my makefile is that when you mount a Clearcase
view
<BR>on an NT box, it means - as for any mount point on NT - assigning a
drive letter
<BR>to it (sic). Views are relatively short-lived, and the same view can
be mounted
<BR>on different machines accross a network with different drive letters.
Also,
<BR>different views can "see" the same makefile for parallel development,
and if
<BR>your makefile uses drive letters (absolute paths) only one of them
is going to
<BR>work. A last reason, your Clearcase vob is probably on a Unix server
? If this
<BR>is the case, you may want the capability to run a make from a view
mounted on a
<BR>unix box, where drive letters are irrelevant. Hope this helps.
<P>--
<BR>What is done well is done quickly enough. (Augustus Caesar)
<P>Guillaume Barthelemy</BLOCKQUOTE>

<PRE>--&nbsp;
Alexei Karpov
SONY Platform Software Development Center - Belgium ( PSDC- B )
Sint Stevens Woluwestraat 55 ( Rue de Woluwe-Saint-Etienne )
1130 Brussel ( Bruxelles ), Belgium, Europe, Earth
Tel.&nbsp; : +32 2 724.86.50
Fax&nbsp;&nbsp; : +32 2 726.26.86
E-mail: [email-masked]

" There is no future or freedom in the circumscribed life and
&nbsp; the only other life is complete rejection of the rules... "</PRE>
&nbsp;</HTML>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".